//
//	RemoteInputStream.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.io.IOException;
import java.rmi.*;

interface RemoteInputStream extends Remote {
	int read() throws RemoteException, IOException;
	int read(byte b[]) throws RemoteException, IOException;
	int read(byte b[], int off, int len) throws RemoteException, IOException;
	long skip(long n) throws RemoteException, IOException;
	int available() throws RemoteException, IOException;
	void close() throws RemoteException, IOException;
}
