//
//	RemoteJdbcJdbcServer.java
//
//	DEPRECATED, replaced by
//	org.iwatsuki.rjj.RemoteJdbcJdbcServer
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package rjj;

import java.rmi.*;

public class RemoteJdbcJdbcServer extends org.iwatsuki.rjj.RemoteJdbcJdbcServer {
	public RemoteJdbcJdbcServer() throws RemoteException {
	}

	public static void main(String[] args) {
		try {
			String rmiURL = "";
			String security = "";
			for (int i = 0; i < args.length; i++) {
				String arg = args[i];
				if (arg.startsWith("-rjj:")) {
					rmiURL = arg.substring(5).trim();
				} else if (arg.startsWith("-security=")) {
					security = arg.substring(10).trim();
				} else {
					String driver = arg;
					Class.forName(driver);
					System.out.println(driver + " loaded");
				}
			}

			String name = "";
			if (rmiURL.startsWith("//")) {
				int index = rmiURL.indexOf('/', 2);
				if (index == -1)
					rmiURL += '/';
				else
					name = rmiURL.substring(++index).trim();
			} else if (rmiURL.startsWith("/")) {
				name = rmiURL.substring(1).trim();
			} else {
				name = rmiURL;
			}

			if (name.equals("")) {
				name = "RemoteDriver";
				rmiURL += name;
			}

			if (!security.equals("")) {
				System.setSecurityManager((SecurityManager)Class.forName(security).newInstance());
				System.out.println(security + " set");
			}
			Naming.rebind(rmiURL, new RemoteJdbcJdbcServer());
			System.out.println("RemoteJdbcJdbcServer bound in the registry to the name " + name);
		} catch (Exception e) {
			System.out.println("RemoteJdbcJdbcServer error: " + e.getMessage());
		}
	}
}
