//
//	RemoteDriver.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.rmi.*;
import java.sql.*;

interface RemoteDriver extends Remote {
	RemoteConnection connect(String url, java.util.Properties info) throws RemoteException, SQLException;
	boolean acceptsURL(String url) throws RemoteException, SQLException;
	DriverPropertyInfo[] getPropertyInfo(String url, java.util.Properties info) throws RemoteException, SQLException;
}
